import request from '@/utils/request'

const baseUrl = import.meta.env.VITE_APP_BASE_API
// 查询检测室配置列表
export function listInspectionChamber(query) {
  return request({
    url: baseUrl + '/business/inspectionChamber/list',
    method: 'get',
    params: query
  })
}

// 查询检测室配置详细
export function getInspectionChamber(id) {
  return request({
    url: baseUrl + '/business/inspectionChamber/' + id,
    method: 'get'
  })
}

// 新增检测室配置
export function addInspectionChamber(data) {
  return request({
    url: baseUrl + '/business/inspectionChamber',
    method: 'post',
    data: data
  })
}

// 修改检测室配置
export function updateInspectionChamber(data) {
  return request({
    url: baseUrl + '/business/inspectionChamber',
    method: 'put',
    data: data
  })
}

// 删除检测室配置
export function delInspectionChamber(id) {
  return request({
    url: baseUrl + '/business/inspectionChamber/' + id,
    method: 'delete'
  })
}
